<h1>JSM&#039;s Block Filter Output</h1><h3>Monitor and Fix Incorrectly Coded Content Filters</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>JSM&#039;s Block Filter Output</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Monitor filter(s) and fix incorrectly coded hooks that send text to the webpage output instead of returning it - as all filters must.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.0.1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.7</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.8.2</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>filter, output, fix, block, report, monitor, debug</td></tr>
</table>

<h2>Description</h2>

<p>Monitor filter(s) and fix incorrectly coded hooks that send text to the webpage output instead of returning it - as all filters must.</p>

<p>A notice is also sent to the PHP error log when filter output is detected:</p>

<blockquote>
[27-Sep-2017 17:41:40 UTC] The "example_function_name" filter hook with priority 10 in the "the_content" filter has mistakenly provided some output. All WordPress filter hooks must return their data / text and not send it to the output. Please contact the author of that filter hook and report this as a coding error / bug.
</blockquote>

<p>The plugin is fully tested and compatible with PHP v7.x (PHP v5.3 or better required).</p>

<h4>Power-users / Developers</h4>

<p>If you haven't enabled the WP_DEBUG constant yet, <a href="https://codex.wordpress.org/Debugging_in_WordPress">you should set the WP_DEBUG constant to <em>true</em> in your wp-config.php file</a> to find out about these and any other PHP / WordPress coding errors. ;-)</p>

<p>The plugin only monitors the "the_content" filter by default. You can customize the list of monitored filters by defining the JSM_BFO_FILTER_NAMES constant.</p>

<pre>
define( 'JSM_BFO_FILTER_NAMES', array(
    'the_title',
    'the_content',
    'the_excerpt',
    'comment_text',
    'widget_title',
    'widget_text',
) );
</pre>

<p>You can also monitor the special WordPress "all" filter, although this is not recommended as it this may have a negative effect on you site's performance:</p>

<pre>
define( 'JSM_BFO_FILTER_NAMES', 'all' );
</pre>


<h2>Installation</h2>

<h4>Automated Install</h4>

<ol>
<li>Go to the wp-admin/ section of your website.</li>
<li>Select the <em>Plugins</em> menu item.</li>
<li>Select the <em>Add New</em> sub-menu item.</li>
<li>In the <em>Search</em> box, enter the plugin name.</li>
<li>Click the <em>Search Plugins</em> button.</li>
<li>Click the <em>Install Now</em> link for the plugin.</li>
<li>Click the <em>Activate Plugin</em> link.</li>
</ol>

<h4>Semi-Automated Install</h4>

<ol>
<li>Download the plugin archive file.</li>
<li>Go to the wp-admin/ section of your website.</li>
<li>Select the <em>Plugins</em> menu item.</li>
<li>Select the <em>Add New</em> sub-menu item.</li>
<li>Click on <em>Upload</em> link (just under the Install Plugins page title).</li>
<li>Click the <em>Browse...</em> button.</li>
<li>Navigate your local folders / directories and choose the zip file you downloaded previously.</li>
<li>Click on the <em>Install Now</em> button.</li>
<li>Click the <em>Activate Plugin</em> link.</li>
</ol>


<h2>Frequently Asked Questions</h2>

<h4>Frequently Asked Questions</h4>

<ul>
<li>None</li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h4>Additional Documentation</h4>

