<?php
/*
 * Plugin Name: JSM's Block Filter Output
 * Text Domain: jsm-block-filter-output
 * Domain Path: /languages
 * Plugin URI: https://surniaulula.com/extend/plugins/jsm-block-filter-output/
 * Assets URI: https://jsmoriss.github.io/jsm-block-filter-output/assets/
 * Author: JS Morisset
 * Author URI: https://surniaulula.com/
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl.txt
 * Description: Monitor and fix incorrectly coded content filter hooks that send data / text to the output instead of returning it - as all filters must.
 * Requires At Least: 3.7
 * Tested Up To: 4.8.2
 * Requires PHP: 5.3
 * Version: 1.0.1
 *
 * Version Numbering: {major}.{minor}.{bugfix}[-{stage}.{level}]
 *
 *	{major}		Major structural code changes / re-writes or incompatible API changes.
 *	{minor}		New functionality was added or improved in a backwards-compatible manner.
 *	{bugfix}	Backwards-compatible bug fixes or small improvements.
 *	{stage}.{level}	Pre-production release: dev < a (alpha) < b (beta) < rc (release candidate).
 *
 * Copyright 2016-2017 Jean-Sebastien Morisset (https://surniaulula.com/)
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'These aren\'t the droids you\'re looking for...' );
}

if ( ! class_exists( 'JSM_BFO' ) ) {

	class JSM_BFO {

		private static $instance;
	
		public function __construct() {
			$plugin_dir = trailingslashit( realpath( dirname( __FILE__ ) ) );
			add_action( 'plugins_loaded', array( __CLASS__, 'load_textdomain' ) );
			require_once $plugin_dir.'lib/filters.php';	// self instantiates
		}

		public static function &get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self;
			}
			return self::$instance;
		}
	
		public static function load_textdomain() {
			load_plugin_textdomain( 'jsm-block-filter-output', false, 'jsm-block-filter-output/languages/' );
		}
	}

	JSM_BFO::get_instance();
}

?>
